### Consignes pour le rendu (TD #3 - INF-TC2)

Le travail consistant en l'enrichissement de la modélisation de la Bibliothèque (suite du TD #2) correspond au premier devoir à rendre concernant `INF-TC2`. Le compte-rendu (CR) de votre travail devra être déposé sur `Pedagogie1`, sur l'espace de dépôt spécifique à votre groupe. Et cela dans un **délai d'une (1) semaine après la dernière séance consacrée** (délai de rigueur, aucun travail accepté au delà de cette date). Cette semaine ne tient pas compte d'éventuelles vacances. Si vous avez un doute, le plus simple est de contrôler la date pour votre groupe sur `Pedagogie1`.

**Consignes:**

  - Le travail peut être individuel ou en binôme. Si vous travaillez en binôme, **un seul dépôt suffit !**.    
  - Le dépôt consistera en une unique archive (zip, rar) contenant l'ensemble des fichiers suivants :     
     - Le fichier _Python_, appelé *bibliotheque.py*, contenant toutes les classes et un programme principal permettant de lancer l'application.
     - un rapport (format _word_, _pdf_, ou mieux encore _markdown_ !) contenant     
         - Une en-tête où devront figurer le nom des élèves, leur numéro de groupe, le nom de l'encadrant ainsi que le titre du TD.   
         - Un diagramme de classes UML complet de votre application, avec les liens entre les classes, les cardinalités, les attributs (privés ou publics), et les méthodes (elles-mêmes publiques ou privées).  
         - Une présentation du code de la DERNIÈRE PARTIE UNIQUEMENT de votre travail. Vous pouvez utilisez des explications textuelles, des diagrammes, des copies d'écran...

  - L'archive devra nécessairement porter le nom suivant : *nom1-devoir1.zip* ou *nom1-nom2-devoir1.zip* (pour les étourdis, pensez à remplacer *nom1* et *nom2* par vos propres noms :-) )

**Critères d'évaluation du travail**

Voici une liste (non exhaustive) de critères qui permettront à vos encadrants d'évaluer votre travail :

  - **Qualité du rapport** : apparence visuelle globale, orthographe, structure du rapport claire et cohérente. Présence et complétude du diagramme de classes. Qualité des représentations graphiques.       
  - **Qualité du code** : est-ce qu'il fonctionne sans erreur, le code est-il suffisamment commenté et aéré ? Tests multiples avec des paramètres inattendus ou erronés. 

Cette évaluation portera sur la **composante observable C1N3** du référentiel de compétences : Concrétiser et donner de la valeur.

**Expression :** Dans le cadre du développement d'un produit/service, est en mesure d'identifier l'éco-système associé (concurrence, dernières innovations, clients potentiels...) pour construire une maquette (physique, financière, ...), sur un concept ciblé imposé par un commanditaire.

 